import axios from "axios";
import { config } from 'dotenv';

config();

if (process.env.HTTP_PROXY_HOST && process.env.HTTP_PROXY_PORT && process.env.HTTP_PROXY_PROTOCOL) {
  axios.defaults.proxy = {
    host: process.env.HTTP_PROXY_HOST,
    port: parseInt(process.env.HTTP_PROXY_PORT),
    protocol: process.env.HTTP_PROXY_PROTOCOL
  };
}

const instance = axios.create();

export default instance;